JonY | 8 Jan 14:19 2011
Picon
Picon

Updated: mingw64-i686-headers-1.0b_svn3825-2

mingw64-i686-headers-1.0b_svn3825-2 has been uploaded.

mingw64-i686-headers contains development headers for Win32 target.

The headers are the second release of svn r3825.

This should fix the problems in wincrypt.h and objbase.h that was
reported recently.

              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there. It will be in the format:

cygwin-announce-unsubscribe-you=yourdomain.com <at> cygwin.com

If you need more information on unsubscribing, start reading here:

http://sourceware.org/lists.html#unsubscribe-simple

Please read *all* of the information on unsubscribing that is available
starting at this URL.

JonY | 8 Jan 14:20 2011
Picon
Picon

Updated: mingw64-x86_64-headers-1.0b_svn3825-2

mingw64-x86_64-headers-1.0b_svn3825-2 has been uploaded.

mingw64-x86_64-headers contains development headers for Win64 target.

The headers are the second release of svn r3825.

This should fix the problems in wincrypt.h and objbase.h that was
reported recently.

              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there. It will be in the format:

cygwin-announce-unsubscribe-you=yourdomain.com <at> cygwin.com

If you need more information on unsubscribing, start reading here:

http://sourceware.org/lists.html#unsubscribe-simple

Please read *all* of the information on unsubscribing that is available
starting at this URL.

Peter A. Castro | 10 Jan 18:42 2011

Updated: zsh-4.3.11-1

An updated version of zsh (zsh-4.3.11-1) has been released and
should be at a mirror near you real soon.  This is an upstream release.

NOTICE:
=======

Version 4.3.11 has just been released.  It contains many fixes and some
new features, but, like the previous version (4.3.10 and 4.3.10-dev-2)
this version still exhibits some strange issues on Cygwin.

I have noticed some strange cases where hangs sometimes happen with
subshells and file re-direction.  If you encounter these, please report
them with a test case.

As with the 4.3.10 release, this release of Zsh is built with FIFO and
Multi-byte/Unicode support enabled.  See Announcement for 4.3.10 for
additional details.

NEWS:
=====

(From the release notes:)
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-------------------------------------
CHANGES FROM PREVIOUS VERSIONS OF ZSH
-------------------------------------

Note also the list of incompatibilities in the README file.

Changes between versions 4.3.10 and 4.3.11
(Continue reading)

Michael McTernan | 11 Jan 00:29 2011
Picon
Picon

Updated: mscgen-0.19-1

Version 0.19-1 of mscgen has been uploaded.

Mscgen is a small program that parses Message Sequence Chart 
descriptions and produces PNG, SVG, EPS or server side image maps as the 
output.  Examples and more information are available at 
http://www.mcternan.me.uk/mscgen/

This update follows the upstream release of version 0.19 which contains 
enhancements and bug fixes.  The changelog can be found here:

   http://www.mcternan.me.uk/mscgen/ChangeLog

Regards,

Mike

               *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look 
at the "List-Unsubscribe: " tag in the email header of this message. 
Send email to the address specified there. It will be in the format:

cygwin-announce-unsubscribe-you=yourdomain.com <at> cygwin.com

If you need more information on unsubscribing, start reading here:

http://sourceware.org/lists.html#unsubscribe-simple

Please read *all* of the information on unsubscribing that is available 
starting at this URL.
(Continue reading)

Reini Urban | 11 Jan 15:45 2011
Picon

Updated: perl-5.10.1-5

perl has been updated to 5.10.1-5

Changes since the last perl-5.10.1-5
- perlrebase: added peflags -D0 for Win7

This update is only needed for Vista/Win7 and upwards.
The only changed file is /bin/perlrebase which adds peflags -D0 to 
disable ASLR which does not play nicely with our fork from dll's.

========================================================================

To update your installation, click on the "Install Cygwin now" link on
the http://cygwin.com/ web page.  This downloads setup.exe to your
system.  Then, run setup and answer all of the questions.

                *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there.  It will be in the format:

cygwin-announce-unsubscribe-you=yourdomain.com <at> cygwin.com

If you need more information on unsubscribing, start reading here:

http://sources.redhat.com/lists.html#unsubscribe-simple

Please read *all* of the information on unsubscribing that is available
starting at this URL.

(Continue reading)

Charles Wilson | 12 Jan 04:21 2011

Updated: {bzip2/libbz2_1/libbz2-devel}-1.0.6-1

The bzip2 package has been updated to version 1.0.6-1. bzip2 is a
patent-unencumbered but highly effective compression library, and
also provides the bzip2.exe / bunzip2.exe utilities. This is a
packaging update.

[[ compiled using gcc-4.3.4-3 ]]

CHANGES since 1.0.5-10
========================
* Update to latest upstream release
  - fixes CVE-2010-0405
* Compiled using gcc4
* update hint files (new dependency on libgcc1)

--

-- 
Charles Wilson
volunteer bzip2 maintainer for cygwin

====================================================================

To update your installation, click on the "Install Cygwin now" link
on the http://cygwin.com/ web page.  This downloads setup.exe to
your system.  Then, run setup and answer all of the questions.

              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there.  It will be in the format:

(Continue reading)

Peter A. Castro | 12 Jan 09:38 2011

Updated: zsh-4.3.11-2

An fixed version of zsh (zsh-4.3.11-2) has been released and should be at
a mirror near you real soon.

Due to an error in building, the package (zsh-4.3.11-1) contained
incorrect directory and file permissions that cause the completion and
macro systems to fail when initialized.

A correctly build package has been released.  No change to release notes.
Refer to previous announcement (zsh-4.3.11-1) for general details on
the 4.3.11 release.

Sorry for the inconvenience.  :-)

DESCRIPTION:
============
Zsh is a UNIX command interpreter (shell) usable as an interactive login
shell and as a shell script command processor.  Of the standard shells,
zsh most closely resembles `ksh' but includes many enhancements.  Zsh has
command line editing, builtin spelling correction, programmable command
completion, shell functions (with autoloading), a history mechanism, and
a host of other features.

UPDATE:
=======
To update your installation, click on the "Install Cygwin now" link on the
http://cygwin.com/ web page.  This downloads setup.exe to your system.
Save it and run setup, answer the questions and pick up 'zsh' in the
'Shell' category (you will have select it).

DOWNLOAD:
(Continue reading)

jdzstz - gmail dot com | 12 Jan 16:47 2011
Picon

New package: varnish-2.1.4-5

Version 2.1.4-5 of "varnish" has been uploaded.

Varnish cache software has been released successfully in Cygwin environment.

Varnish is a web accelerator written with performance and flexibility in mind.
It's modern architecture gives it a significantly better performance than many
of it's competing products. Varnish store web pages in memory so the
web servers
don't have to create the same web page over and over again. The web server only
recreate a page when it is changed. Additionally Varnish can serve web pages
much faster then any application server is capable of - giving the website a
significant speed up.

Runtime requirements:  cygwin, gcc, gcc-core, libncurses10, libpcre0
Homepage: http://www.varnish-cache.org/
License: FreeBSD licence
Language: C

              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there. It will be in the format:

cygwin-announce-unsubscribe-you=yourdomain.com <at> cygwin.com

If you need more information on unsubscribing, start reading here:

http://sourceware.org/lists.html#unsubscribe-simple

(Continue reading)

Charles Wilson | 15 Jan 16:16 2011

Updated: autoconf-10-1

The autoconf package has been updated to version 10.  Recall that this
package is not the real autoconf, but is a wrapper system to delegate to
the appropriate version of real autoconf (either 2.13 or 2.68 at present).

This is a feature enhancement and compatibility update, which adds
support for the autoconf2.5-2.68 release (as well as all future
autoconf2.5-2.xx releases up to .99).

CHANGES since autoconf-9-1)
==========================================
* update to latest upstream release
  + adds support for autoconf-2.68, as well as all future autoconf-2.xx
    up to .99

--

-- 
Charles Wilson
volunteer autoconf maintainer for cygwin

====================================================================

To update your installation, click on the "Install Cygwin now" link
on the http://cygwin.com/ web page.  This downloads setup.exe to
your system.  Then, run setup and answer all of the questions.

              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there.  It will be in the format:

(Continue reading)

Charles Wilson | 15 Jan 16:16 2011

Updated: autoconf2.5-2.68-1

Autoconf is an extensible package of m4 macros that produce shell
scripts to automatically configure software source code packages.  The
autoconf2.5 package contains the latest edition of autoconf in the 2.5x
release sequence (which includes 2.60, 2.61, etc).

Changes since autoconf2.5-2.67-1
======================================================================
* update to latest upstream release
  + see list of upstream changes below
* Include applicable portions of Debian patchset 2.67-2

Testsuite results:
======================================================================
ERROR: 478 tests behaved as expected.

Note: there were some initial failures
    38: autotools and whitespace in file names FAILED (tools.at:1312)
   135: at_status                              FAILED (autotest.at:428)
   185: Longer test title in a test title      FAILED (autotest.at:860)
   335: AC_ERLANG_SUBST_INSTALL_LIB_SUBDIR     FAILED (erlang.at:116)
but when re-run, they passed. Mostly caused by transient cygwin
issues, such as fork/child failures or zombies preventing cleanup.

Note that the parallel tests, some of which failed in 2.65 and 2.67
on cygwin, now pass.

The tests were executed with LANG=en_US.UTF-8

Upstream changes (2.68):
======================================================================
(Continue reading)


Gmane